#!/bin/bash

set -x
VERSION=$(grep "^VERSION" src/elwig-backend | grep -oE "[0-9]+\.[0-9]+\.[0-9]+")
REV="${1:-1}"
mkdir -p build/

mkdir -p build/usr/bin/
cp src/elwig-backend build/usr/bin

mkdir -p build/DEBIAN/
echo -n "\
Package: elwig-backend
Version: ${VERSION}
Section: main
Priority: optional
Essential: no
Architecture: all
Depends: python3
Installed-Size: $(du -ks build/usr/bin/ | cut -f 1)
Maintainer: Lorenz Stechauner <lorenz.stechauner@necronda.net>
Homepage: https://git.necronda.net/winzer/elwig-backend
Description: Local backend for Elwig's REST API
" > build/DEBIAN/control

chmod 0755 build/usr/bin/*
sudo chown root:root -R build/
dpkg --build build/ "elwig-backend_${VERSION}-${REV}_all.deb"
